#include <bits/stdc++.h>

using namespace std;

int main()
{
	int k;
	cin >> k;
	int z[k]; //Zadate duzine nizova
	int rez[k]; //DA=0, NE=1
	for(int i = 0; i < k; i++)
	{
		rez[i]=0;
	}
	for(int i = 0; i < k; i++)
	{
		cin >> z[i];
		long long poz[z[i]];
		long long neg[z[i]];
		for(int j = 0; j < z[i]; j++)
		{
			cin >> poz[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			cin >> neg[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			for(int l = 0; l < z[i]; l++)
			{
				if(poz[j]==neg[l]||-poz[j]==neg[l])
				{
					rez[i]=1;
				}
			}
		}
	}
	for(int i = 0; i < k; i++)
	{
		if(rez[i]==0)
		{
			cout << "DA" << endl;
		}
		else
		{
			cout << "NE" << endl;
		}
	}
}